#!/bin/bash
#
# Description: 配列展開の基本パターン2
#              文字列の加工1: 大文字と小文字

source pre.bash

echo "文字列の加工1"

echo "    大文字と小文字 (bash4)"
if [ ${BASH_VERSION%%.*} -lt 4 ]; then
    echo "    ☆ この機能は、bash4以降のみ。bash3では動作しない。"
    exit 1
fi

e="e"
l=(i have a pen and eggs.)

echo "${l[1]@A}"
echo "    l='${l[1]}'"
echo

echo '    ${l[1]^} $lをキャピタライズ:' " '${l[1]^}'"
echo '    ${l[1]^e} $lがeではじまるなら、キャピタライズ:' " '${l[1]^$e}'"
echo '    ${l[1]^^} to upper:' " '${l[1]^^}'"
echo '    ${l[1]^^e} eを to upper:' " '${l[1]^^$e}'"
echo

echo "${l[@]@A}"
echo "    l[@]='${l[@]}'"
echo

echo '    ${l[@]^} $lをキャピタライズ:' " '${l[@]^}'"
echo '    ${l[@]^e} $lがeではじまるなら、キャピタライズ:' " '${l[@]^$e}'"
echo '    ${l[@]^^} to upper:' " '${l[@]^^}'"
echo '    ${l[@]^^e} eを to upper:' " '${l[@]^^$e}'"
