#!/bin/bash
#
# Description: 配列展開の基本パターン6
#              デフォルト値2

source pre.bash

echo "デフォルト値2"

echo
echo "エラーとなった箇所でこのスクリプトは、異常終了する"
echo '終了したら、終了ステータス($?)を確認する:'
echo '  $ echo $?'
echo

PS3="☓はメッセージを表示して異常終了: "
select i in "☓ undefined :?" "☓ undefined ?" "☓ array=() :?" "☓ array=() ?" '☓ array=("") :?' 'array=("") ?' 'array=("" word) :?' 'array=("" word) ?'
do
  case $REPLY in
    1) unset array; echo ${array[@]:?未定義かも} ;; # 異常終了
    2) unset array; echo ${array[@]?未定義かも} ;; # 異常終了

    3) array=(); echo ${array[@]:?未定義かも} ;; # 異常終了
    4) array=(); echo ${array[@]?未定義かも} ;; # 異常終了

    5) array=(""); echo ${array[@]:?未定義かも} ;; # 異常終了
    6) array=(""); echo ${array[@]?未定義かも} ;;

    7) array=("" word); echo ${array[@]:?未定義かも} ;;
    8) array=("" word); echo ${array[@]?未定義かも} ;;
  esac
done

